Subject: Re: [TR] GT6+ emissions distributor

From: ptegler <[email-masked]>
Date: Thu, 02 Oct 2014 17:49:20 -0400

if you pop off the points plate, then pull the little screw in the top 
center you can lift off the top hald of the mech adv weights plate. The 
adv degrees number will be stamped right into the plate.
remember though that number is on half of the crank adv value   so if 
stamped 6 degrees it's 12 at the crank  10 would be 20 at the crank etc.

as general info.... mech adv is usually 20 or less (usually less) a the 
crank
ptegler

On 10/2/2014 5:06 PM, David Porter wrote:
> Anyone know what the total allowable ignition advance is for these 
> Delco-Remy units?
>  I'm only seeing about 15 degrees at 3000 + RPM   Doesn't seem enough 
> to me..
> Dave

** [email-masked] **

Archive: http://www.team.net/archive

---

From: David Porter <[email-masked]>
Date: Thu, 02 Oct 2014 17:05:39 -0600

interesting.. the TR6's will go (as I recall) up to 36 degrees total 
advance.. I think I'll just run it up around there and see how it runs...
dave
On 10/2/2014 3:49 PM, ptegler wrote:
> center you can lift off the top hald of the mech adv weights plate. 
> The adv degrees number will be stamped right into the plate.
> as general info.... mech adv is usually 20 or less (usually less) a 
> the crank
> ptegler
>
>
> Donate: http://www.team.net/donate.html
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: 
> http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>

-- 
Dave Porter Porter Custom Bicycles 2909 Arno St. NE Albuquerque, NM 
87107 505-352-1378 Go HERE: my world www.porterbikes.com/

---

From: ptegler <[email-masked]>
Date: Thu, 02 Oct 2014 20:20:16 -0400

...went digging.... couldn't find any specific specs for Delcos...but 
Lucas mech weights have a stop as high as 14 (28 crank degrees)

ptegler

On 10/2/2014 7:05 PM, David Porter wrote:
>> if you pop off the points plate, then pull the little screw in the 
>> top center you can lift off the top hald of the mech adv weights 
>> plate. The adv degrees number will be stamped right into the plate.
>>>  I'm only seeing about 15 degrees at 3000 + RPM   Doesn't seem 
>>> enough to me..
>>> Dave
>>

---

From: Geo Hahn <[email-masked]>
Date: Thu, 2 Oct 2014 18:11:52 -0700

> Lucas mech weights have a stop as high as 14 (28 crank degrees)

Varies widely - my other British car has 40B0 centrifugal advance.

You can just see the 20B0 stamped on the weights:  http://goo.gl/5Tfvi6